import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart';

import 'cabinet_platform_interface.dart';

/// An implementation of [CabinetPlatform] that uses method channels.
class MethodChannelCabinet extends CabinetPlatform {
  /// The method channel used to interact with the native platform.
  @visibleForTesting
  final methodChannel = const MethodChannel('cabinet');

  @override
  Future<String?> getPlatformVersion() async {
    final version = await methodChannel.invokeMethod<String>('getPlatformVersion');
    return version;
  }
}
