import 'package:plugin_platform_interface/plugin_platform_interface.dart';

import 'cabinet_method_channel.dart';

abstract class CabinetPlatform extends PlatformInterface {
  /// Constructs a CabinetPlatform.
  CabinetPlatform() : super(token: _token);

  static final Object _token = Object();

  static CabinetPlatform _instance = MethodChannelCabinet();

  /// The default instance of [CabinetPlatform] to use.
  ///
  /// Defaults to [MethodChannelCabinet].
  static CabinetPlatform get instance => _instance;

  /// Platform-specific implementations should set this with their own
  /// platform-specific class that extends [CabinetPlatform] when
  /// they register themselves.
  static set instance(CabinetPlatform instance) {
    PlatformInterface.verifyToken(instance, _token);
    _instance = instance;
  }

  Future<String?> getPlatformVersion() {
    throw UnimplementedError('platformVersion() has not been implemented.');
  }
}
