import 'package:flutter_test/flutter_test.dart';
import 'package:cabinet/cabinet.dart';
import 'package:cabinet/cabinet_platform_interface.dart';
import 'package:cabinet/cabinet_method_channel.dart';
import 'package:plugin_platform_interface/plugin_platform_interface.dart';

class MockCabinetPlatform
    with MockPlatformInterfaceMixin
    implements CabinetPlatform {

  @override
  Future<String?> getPlatformVersion() => Future.value('42');
}

void main() {
  final CabinetPlatform initialPlatform = CabinetPlatform.instance;

  test('$MethodChannelCabinet is the default instance', () {
    expect(initialPlatform, isInstanceOf<MethodChannelCabinet>());
  });

  test('getPlatformVersion', () async {
    Cabinet cabinetPlugin = Cabinet();
    MockCabinetPlatform fakePlatform = MockCabinetPlatform();
    CabinetPlatform.instance = fakePlatform;

    expect(await cabinetPlugin.getPlatformVersion(), '42');
  });
}
